import request from '@/utils/request'

// 查询负面清单历史记录列表
export function listNegativeListHistory(query) {
  return request({
    url: '/laboratory/negativeListHistory/list',
    method: 'get',
    params: query
  })
}

// 查询负面清单历史记录详细
export function getNegativeListHistory(id) {
  return request({
    url: '/laboratory/negativeListHistory/' + id,
    method: 'get'
  })
}

// 新增负面清单历史记录
export function addNegativeListHistory(data) {
  return request({
    url: '/laboratory/negativeListHistory',
    method: 'post',
    data: data
  })
}

// 修改负面清单历史记录
export function updateNegativeListHistory(data) {
  return request({
    url: '/laboratory/negativeListHistory',
    method: 'put',
    data: data
  })
}

// 删除负面清单历史记录
export function delNegativeListHistory(id) {
  return request({
    url: '/laboratory/negativeListHistory/' + id,
    method: 'delete'
  })
}
